Skip to content
Docs

Give a hire a Slack identity

POST
/api/workspaces/{ws}/slack/{connection}/hires/{hire}

Makes the hire's own Slack app from a manifest. Slack allows about one a minute.

Authorization

session
cookiebetter-auth.session_token<token>

Set by POST /api/auth/sign-in/email.

Path Parameters

ws*string

The workspace id (from GET /api/me).

connection*string

The connection's id (from GET /api/workspaces/:ws/connections).

hire*string

The hire's id.

Response Body

The app, and how to install it.

Example Request
curl -X POST 'https://app.useroster.work/api/workspaces/string/slack/string/hires/string'
Example Response
Empty